commit 34b2fb4875e1c0043ab0acde8a9f1417b322d3ea
Author: Mahendra Singh Thalor <mahi6run@gmail.com>
Date:   Tue Jan 28 00:28:24 2020 +0530

    Fixed warning for json_errdetail

diff --git a/src/backend/utils/adt/jsonapi.c b/src/backend/utils/adt/jsonapi.c
index 1ac3b7b..b750b68 100644
--- a/src/backend/utils/adt/jsonapi.c
+++ b/src/backend/utils/adt/jsonapi.c
@@ -1065,6 +1065,9 @@ json_errdetail(JsonParseErrorType error, JsonLexContext *lex)
 		case JSON_UNICODE_LOW_SURROGATE:
 			return _("Unicode low surrogate must follow a high surrogate.");
 	}
+
+	/* To silence the compiler. */
+	return NULL;
 }
 
 /*
